
<VirtualHost *:443>
  ServerName  portal.nextfib.es
  ServerAlias portal.nextfib.es


  DocumentRoot /var/www/html/nextfib/
  ErrorLog ${APACHE_LOG_DIR}/portal.nextfib.es-error.log
  CustomLog ${APACHE_LOG_DIR}/portal.nextfib.es-access.log combined


  <Directory "/var/www/html/nextfib/private/">
        AuthType Basic
        AuthName "Restricted Content"
        AuthUserFile /var/www/html/nextfib/private/.htpasswd
        Require valid-user
        AllowOverride All
    </Directory>

  SSLEngine On

  # Other Apache Configuration

 
  Include /etc/letsencrypt/options-ssl-apache.conf

ServerAlias portal.nextfib.es

SSLCertificateFile /etc/letsencrypt/live/portal.nextfib.es/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/portal.nextfib.es/privkey.pem
</VirtualHost>
